Package com.mockobjects

# Interface Verifiable

All Known Subinterfaces:
  `Callable`, `CallableAddable`, `Expectation`, `ExpectationCollection`

All Known Implementing Classes:
  `AbstractExpectation`, `AbstractExpectationCollection`, `CallBag`, `CallOnceExpectation`, `CallSequence`, `CallSignature`, `CallStub`, `CommonMockDataSource`, `ExpectationCounter`, `ExpectationDoubleValue`, `ExpectationList`, `ExpectationMap`, `ExpectationSegment`, `ExpectationSet`, `ExpectationSqlRow`, `ExpectationValue`, `Mock`, `MockArray`, `MockAttribute`, `MockAttributes`, `MockBodyContent`, `MockConnection`, `MockConnection`, `MockConnection2`, `MockContext`, `MockDatabaseMetaData`, `MockDataSource`, `MockDirContext`, `MockFile`, `MockFilterChain`, `MockFilterConfig`, `MockHttpServletRequest`, `MockHttpServletResponse`, `MockHttpSession`, `MockIOFactory`, `MockMapMessage`, `MockMessage`, `MockMessage`, `MockMessageConsumer`, `MockMessageProducer`, `MockMessagePublisher`, `MockMimeMessage`, `MockMimeMessageFactory`, `MockMultiRowResultSet`, `MockNaming`, `MockNamingEnumeration`, `MockObject`, `MockObjectMessage`, `MockOutputStream`, `MockPreparedStatement`, `MockPrintWriter`, `MockPropertyChangeListener`, `MockQueue`, `MockQueueConnection`, `MockQueueConnectionFactory`, `MockQueueReceiver`, `MockQueueSender`, `MockQueueSession`, `MockRequestDispatcher`, `MockResultSetMetaData`, `MockService`, `MockServletConfig`, `MockServletContext`, `MockServletInputStream`, `MockSession`, `MockSession`, `MockSingleRowResultSet`, `MockSocket`, `MockSocketFactory`, `MockStatement`, `MockTemporaryQueue`, `MockTextMessage`, `MockTopic`, `MockTopicConnection`, `MockTopicConnectionFactory`, `MockTopicPublisher`, `MockTopicSession`, `MockTopicSubscriber`, `MockTransport`, `MockWriter`, `OrderedMock`, `ReturnObjectBag`, `ReturnObjectList`, `ReturnStub`, `ThrowStub`, `VoidStub`

public interface Verifiable
A Verifiable is an object that can confirm at the end of a unit test that the correct behvaiour has occurred.

See Also:
  - `Verifier to check all the Verifiables in an object.`

## Method Summary

Modifier and Type
Method
Description
`void`
`verify()`
Throw an AssertionFailedException if any expectations have not been met.

## Method Details

### verify

void verify()
Throw an AssertionFailedException if any expectations have not been met.